<?xml version="1.0" encoding="UTF-8"?>
<ui version="4.0">
 <class>PlotWindow</class>
 <widget class="QMainWindow" name="PlotWindow">
  <property name="geometry">
   <rect>
    <x>0</x>
    <y>0</y>
    <width>835</width>
    <height>370</height>
   </rect>
  </property>
  <property name="minimumSize">
   <size>
    <width>750</width>
    <height>370</height>
   </size>
  </property>
  <property name="maximumSize">
   <size>
    <width>1000</width>
    <height>500</height>
   </size>
  </property>
  <property name="windowTitle">
   <string>Alat za analitiku</string>
  </property>
  <property name="styleSheet">
   <string notr="true">QWidget#centralwidget {
    background-color: #354056;
}
QGraphicsView#graphicsView {
    background: #345056;
	border: 2px solid #2980b9;
	border-radius: 10px;
}

QLabel#lblGraph, QLabel#lblExample, QLabel#lblX, QLabel#lblY {
    font-size: 16px;
    color: white;
}
QPushButton#btnMakePlot {
    background-color: #354056;
    color: white;
    border: 1px solid #af7ff7;
    border-radius: 10px;
}
QComboBox#cbGraph, QComboBox#cbX, QComboBox#cbY, QComboBox#cbStat {
    background: #354056;
    color: white;
    border: 2px solid #af7ff7;
    border-radius: 10px;
    padding-right: 20px; /* Dodajem padding na desnu stranu za mjesto slike */
}

QComboBox#cbGraph::down-arrow, QComboBox#cbX::down-arrow, QComboBox#cbY::down-arrow, QComboBox#cbStat::down-arrow {
    image: url(':/icons/strela.png');
    width: 16px;
    height: 16px;
}
QComboBox::drop-down {
    border: yellow;
    background: transparent;
}

/* Stil za QMenuBar */
QMenuBar {
    background-color: #2c3e50; /* Boja pozadine meni trake */
    color: #ffffff; /* Boja teksta */
}

/* Stil za QMenuBar iteme */
QMenuBar::item {
    background-color: #2c3e50; /* Boja pozadine itema u meni traci */
    padding: 5px 10px; /* Rastojanje unutar itema */
}
QMenuBar::item:selected {
    background-color: #34495e;
}

QStatusBar {
    background-color: #ffffff; 
    color: #333333; 
}
QComboBox QAbstractItemView {
    color: yellow; /* Postavi boju teksta za stavke unutar padajućeg izbornika */
}</string>
  </property>
  <widget class="QWidget" name="centralwidget">
   <widget class="QComboBox" name="cbGraph">
    <property name="geometry">
     <rect>
      <x>20</x>
      <y>40</y>
      <width>151</width>
      <height>31</height>
     </rect>
    </property>
    <property name="font">
     <font>
      <pointsize>12</pointsize>
     </font>
    </property>
    <property name="styleSheet">
     <string notr="true">QComboBox{
background-color: #354056;
        color: white;
        border: 1px solid #af7ff7;
        padding: 5px;
        border-radius: 10px;
}

QComboBox::down-arrow {
    image: url(':/icons/strela.png');
    width: 16px;
    height: 16px;
}

QComboBox::drop-down {
    border: yellow;
    background: transparent;
}
QComboBox QAbstractItemView {
    color: #af7ff7; /* Postavi boju teksta za stavke unutar padajućeg izbornika */
}</string>
    </property>
    <item>
     <property name="text">
      <string>None</string>
     </property>
    </item>
    <item>
     <property name="text">
      <string>Donut plot</string>
     </property>
    </item>
    <item>
     <property name="text">
      <string>Bar plot</string>
     </property>
    </item>
    <item>
     <property name="text">
      <string>Line plot</string>
     </property>
    </item>
    <item>
     <property name="text">
      <string>Pie plot</string>
     </property>
    </item>
    <item>
     <property name="text">
      <string>Scatter plot</string>
     </property>
    </item>
    <item>
     <property name="text">
      <string>Horizontal bar plot</string>
     </property>
    </item>
   </widget>
   <widget class="QLabel" name="lblGraph">
    <property name="geometry">
     <rect>
      <x>30</x>
      <y>10</y>
      <width>141</width>
      <height>31</height>
     </rect>
    </property>
    <property name="font">
     <font>
      <pointsize>-1</pointsize>
      <bold>true</bold>
     </font>
    </property>
    <property name="styleSheet">
     <string notr="true">color : #af7ff7;
font-weight: bold;</string>
    </property>
    <property name="text">
     <string>Choose plot:</string>
    </property>
   </widget>
   <widget class="QPushButton" name="btnMakePlot">
    <property name="geometry">
     <rect>
      <x>90</x>
      <y>300</y>
      <width>201</width>
      <height>41</height>
     </rect>
    </property>
    <property name="styleSheet">
     <string notr="true">font-weight: bold;
color:  #af7ff7;</string>
    </property>
    <property name="text">
     <string>Make Plot!</string>
    </property>
   </widget>
   <widget class="QLabel" name="lblExample">
    <property name="geometry">
     <rect>
      <x>520</x>
      <y>10</y>
      <width>151</width>
      <height>31</height>
     </rect>
    </property>
    <property name="styleSheet">
     <string notr="true">color : #af7ff7;
font-weight: bold;</string>
    </property>
    <property name="text">
     <string>Example</string>
    </property>
   </widget>
   <widget class="QGroupBox" name="groupBox">
    <property name="geometry">
     <rect>
      <x>10</x>
      <y>90</y>
      <width>371</width>
      <height>201</height>
     </rect>
    </property>
    <widget class="QLabel" name="lblX">
     <property name="geometry">
      <rect>
       <x>30</x>
       <y>20</y>
       <width>131</width>
       <height>41</height>
      </rect>
     </property>
     <property name="sizePolicy">
      <sizepolicy hsizetype="Preferred" vsizetype="Preferred">
       <horstretch>0</horstretch>
       <verstretch>0</verstretch>
      </sizepolicy>
     </property>
     <property name="minimumSize">
      <size>
       <width>0</width>
       <height>20</height>
      </size>
     </property>
     <property name="font">
      <font>
       <pointsize>-1</pointsize>
       <bold>true</bold>
      </font>
     </property>
     <property name="styleSheet">
      <string notr="true">color: #af7ff7;
font-weight : bold;</string>
     </property>
     <property name="text">
      <string>Choose X axis:</string>
     </property>
    </widget>
    <widget class="QComboBox" name="cbY">
     <property name="geometry">
      <rect>
       <x>180</x>
       <y>60</y>
       <width>131</width>
       <height>31</height>
      </rect>
     </property>
     <property name="styleSheet">
      <string notr="true">QComboBox{
background-color: #354056;
        color: white;
        border: 1px solid #af7ff7;
        padding: 5px;
        border-radius: 10px;
}

QComboBox::down-arrow {
    image: url(':/icons/strela.png');
    width: 16px;
    height: 16px;
}

QComboBox::drop-down {
    border: yellow;
    background: transparent;
}
QComboBox QAbstractItemView {
    color: #af7ff7; /* Postavi boju teksta za stavke unutar padajućeg izbornika */
}</string>
     </property>
    </widget>
    <widget class="QLabel" name="lblY">
     <property name="geometry">
      <rect>
       <x>180</x>
       <y>20</y>
       <width>131</width>
       <height>41</height>
      </rect>
     </property>
     <property name="font">
      <font>
       <pointsize>-1</pointsize>
       <bold>true</bold>
      </font>
     </property>
     <property name="styleSheet">
      <string notr="true">color: #af7ff7;
font-weight: bold;</string>
     </property>
     <property name="text">
      <string>Choose Y axis:</string>
     </property>
    </widget>
    <widget class="QComboBox" name="cbX">
     <property name="geometry">
      <rect>
       <x>20</x>
       <y>60</y>
       <width>131</width>
       <height>31</height>
      </rect>
     </property>
     <property name="styleSheet">
      <string notr="true">QComboBox{
background-color: #354056;
        color: white;
        border: 1px solid #af7ff7;
        padding: 5px;
        border-radius: 10px;
}

QComboBox::down-arrow {
    image: url(':/icons/strela.png');
    width: 16px;
    height: 16px;
}

QComboBox::drop-down {
    border: yellow;
    background: transparent;
}
QComboBox QAbstractItemView {
    color: #af7ff7; /* Postavi boju teksta za stavke unutar padajućeg izbornika */
}</string>
     </property>
    </widget>
    <widget class="QComboBox" name="cbStat">
     <property name="geometry">
      <rect>
       <x>20</x>
       <y>140</y>
       <width>131</width>
       <height>31</height>
      </rect>
     </property>
     <property name="styleSheet">
      <string notr="true">QComboBox{
background-color: #354056;
        color: white;
        border: 1px solid #af7ff7;
        padding: 5px;
        border-radius: 10px;
}

QComboBox::down-arrow {
    image: url(':/icons/strela.png');
    width: 16px;
    height: 16px;
}

QComboBox::drop-down {
    border: yellow;
    background: transparent;
}
QComboBox QAbstractItemView {
    color: #af7ff7; /* Postavi boju teksta za stavke unutar padajućeg izbornika */
}</string>
     </property>
     <item>
      <property name="text">
       <string>count</string>
      </property>
     </item>
     <item>
      <property name="text">
       <string>mean</string>
      </property>
     </item>
     <item>
      <property name="text">
       <string>sum</string>
      </property>
     </item>
     <item>
      <property name="text">
       <string>min</string>
      </property>
     </item>
     <item>
      <property name="text">
       <string>max</string>
      </property>
     </item>
     <item>
      <property name="text">
       <string>median</string>
      </property>
     </item>
     <item>
      <property name="text">
       <string>sd. deviation</string>
      </property>
     </item>
     <item>
      <property name="text">
       <string>variance</string>
      </property>
     </item>
     <item>
      <property name="text">
       <string/>
      </property>
     </item>
    </widget>
    <widget class="QPushButton" name="btnColor">
     <property name="geometry">
      <rect>
       <x>180</x>
       <y>140</y>
       <width>131</width>
       <height>31</height>
      </rect>
     </property>
     <property name="styleSheet">
      <string notr="true">background-color: #354056;
color: #af7ff7 ;
border: 1px solid #af7ff7;
border-radius: 10px;
font-weight : bold;</string>
     </property>
     <property name="text">
      <string>Choose color</string>
     </property>
    </widget>
    <widget class="QLabel" name="lblStat">
     <property name="geometry">
      <rect>
       <x>20</x>
       <y>110</y>
       <width>131</width>
       <height>31</height>
      </rect>
     </property>
     <property name="sizePolicy">
      <sizepolicy hsizetype="Preferred" vsizetype="Preferred">
       <horstretch>0</horstretch>
       <verstretch>0</verstretch>
      </sizepolicy>
     </property>
     <property name="minimumSize">
      <size>
       <width>0</width>
       <height>10</height>
      </size>
     </property>
     <property name="font">
      <font>
       <bold>true</bold>
      </font>
     </property>
     <property name="styleSheet">
      <string notr="true">color: #af7ff7;
font-weight: bold;</string>
     </property>
     <property name="text">
      <string>Apply statistic:</string>
     </property>
    </widget>
   </widget>
   <widget class="QWidget" name="verticalLayoutWidget">
    <property name="geometry">
     <rect>
      <x>470</x>
      <y>70</y>
      <width>291</width>
      <height>231</height>
     </rect>
    </property>
    <layout class="QVBoxLayout" name="chartHolder"/>
   </widget>
   <widget class="QLabel" name="label">
    <property name="geometry">
     <rect>
      <x>250</x>
      <y>310</y>
      <width>25</width>
      <height>25</height>
     </rect>
    </property>
    <property name="minimumSize">
     <size>
      <width>25</width>
      <height>25</height>
     </size>
    </property>
    <property name="maximumSize">
     <size>
      <width>25</width>
      <height>25</height>
     </size>
    </property>
    <property name="text">
     <string/>
    </property>
    <property name="pixmap">
     <pixmap resource="../recources/ourResources.qrc">:/icons/pie-chart.png</pixmap>
    </property>
    <property name="scaledContents">
     <bool>true</bool>
    </property>
   </widget>
   <widget class="QLineEdit" name="lineEdit">
    <property name="geometry">
     <rect>
      <x>220</x>
      <y>43</y>
      <width>113</width>
      <height>31</height>
     </rect>
    </property>
    <property name="styleSheet">
     <string notr="true"> background-color: #354056;
    color: white;
    border: 1px solid #af7ff7;
    border-radius: 10px;</string>
    </property>
   </widget>
   <widget class="QLabel" name="label_2">
    <property name="geometry">
     <rect>
      <x>230</x>
      <y>10</y>
      <width>121</width>
      <height>41</height>
     </rect>
    </property>
    <property name="styleSheet">
     <string notr="true">color : #af7ff7;
font-weight: bold;</string>
    </property>
    <property name="text">
     <string>Choose title: </string>
    </property>
   </widget>
  </widget>
  <widget class="QStatusBar" name="statusbar"/>
 </widget>
 <resources>
  <include location="../recources/ourResources.qrc"/>
 </resources>
 <connections/>
</ui>
